import{s as an,f as Fe,n as rn,o as un}from"../chunks/scheduler.f6b352c8.js";import{S as mn,i as fn,g as o,s as l,r as m,A as gn,h as a,f as i,c as s,j as on,u as f,x as r,k as u,y as hn,a as n,v as g,d as h,t as p,w as d}from"../chunks/index.7f38e934.js";import{H as c}from"../chunks/Heading.333929c4.js";import{E as pn}from"../chunks/EditOnGithub.c3245a01.js";function dn(li){let w,Se,Ue,Ge,b,Ee,L,si='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/thumbnail.jpg" alt="AI Agents Course thumbnail" width="100%"/> <figcaption>The background of the image was generated using <a href="https://scenario.com/">Scenario.com</a></figcaption>',ze,C,oi="Welcome to the most exciting topic in AI today: <strong>Agents</strong>!",Be,H,ai="This free course will take you on a journey, <strong>from beginner to expert</strong>, in understanding, using and building AI agents.",De,M,ri="This first unit will help you onboard:",Je,_,ui="<li>Discover the <strong>course’s syllabus</strong>.</li> <li><strong>Choose the path</strong> you’re going to take (either self-audit or certification process).</li> <li><strong>Get more information about the certification process and the deadlines</strong>.</li> <li>Get to know the team behind the course.</li> <li>Create your <strong>Hugging Face account</strong>.</li> <li><strong>Sign-up to our Discord server</strong>, and meet your classmates and us.</li>",Re,P,mi="Let’s get started!",Oe,k,fi="We organize a <strong>live Q&amp;A this Wednesday, February the 12th at 5PM CET</strong>. Where we <strong>will explain how the course will work</strong> (scope, units, challenges and more) and <strong>answer your questions</strong>.",Ne,A,gi='👉 <a href="https://www.youtube.com/live/PopqUt3MGyQ?feature=shared" rel="nofollow">https://www.youtube.com/live/PopqUt3MGyQ?feature=shared</a>',Qe,I,hi="👉 Don’t forget <strong>to click to Notify me</strong>, to not miss the live.",Xe,j,pi,Ye,q,Ve,F,di="In this course, you will:",Ke,U,ci='<li>📖 Study AI Agents in <strong>theory, design, and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use established AI Agent libraries</strong> such as <a href="https://huggingface.co/docs/smolagents/en/index" rel="nofollow">smolagents</a>, <a href="https://www.langchain.com/" rel="nofollow">LangChain</a>, and <a href="https://www.llamaindex.ai/" rel="nofollow">LlamaIndex</a>.</li> <li>💾 <strong>Share your agents</strong> on the Hugging Face Hub and explore agents created by the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other students’.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing assignments.</li>',Ze,W,wi="And more!",et,S,vi="At the end of this course you’ll understand <strong>how Agents work and how to build your own Agents using the latest libraries and tools</strong>.",tt,G,$i='Don’t forget to <strong><a href="https://bit.ly/hf-learn-agents">sign up to the course!</a></strong>',it,E,yi="(We are respectful of your privacy. We collect your email address to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates).</strong>",nt,z,lt,B,Ti="The course is composed of:",st,D,xi='<li><em>Foundational Units</em>: where you learn Agents <strong>concepts in theory</strong>.</li> <li><em>Hands-on</em>: where you’ll learn <strong>to use established AI Agent libraries</strong> to train your agents in unique environments. These hands-on sections will be <strong>Hugging Face Spaces</strong> with a pre-configured environment.</li> <li><em>Use case assignments</em>: where you’ll apply the concepts you’ve learned to solve a real-world problem that you’ll choose.</li> <li><em>The Challenge</em>: you’ll get to put your agent to compete against other agents in a challenge. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/AI-Agents-Leaderboard" rel="nofollow">a leaderboard</a> (not available yet) for you to compare the agents’ performance.</li>',ot,J,bi='This <strong>course is a living project, evolving with your feedback and contributions!</strong> Feel free to <a href="https://github.com/huggingface/agents-course" rel="nofollow">open issues and PRs in GitHub</a>, and engage in discussions in our Discord server.',at,R,Li='After you have gone through the course, you can also send your feedback  <a href="https://docs.google.com/forms/d/e/1FAIpQLSe9VaONn0eglax0uTwi29rIn4tM7H2sYmmybmG5jJNlE5v0xA/viewform?usp=dialog" rel="nofollow">👉 using this form</a>',rt,O,ut,N,Ci="Here is the <strong>general syllabus for the course</strong>. A more detailed list of topics will be released with each unit.",mt,Q,Hi='<thead><tr><th align="left">Chapter</th> <th align="left">Topic</th> <th align="left">Description</th></tr></thead> <tbody><tr><td align="left">0</td> <td align="left">Onboarding</td> <td align="left">Set you up with the tools and platforms that you will use.</td></tr> <tr><td align="left">1</td> <td align="left">Agent Fundamentals</td> <td align="left">Explain Tools, Thoughts, Actions, Observations, and their formats. Explain LLMs, messages, special tokens and chat templates. Show a simple use case using python functions as tools.</td></tr> <tr><td align="left">2</td> <td align="left">Frameworks</td> <td align="left">Understand how the fundamentals are implemented in popular libraries : smolagents, LangGraph, LLamaIndex</td></tr> <tr><td align="left">3</td> <td align="left">Use Cases</td> <td align="left">Let’s build some real life use cases (open to PRs 🤗 from experienced Agent builders)</td></tr> <tr><td align="left">4</td> <td align="left">Final Assignment</td> <td align="left">Build an agent for a selected benchmark and prove your understanding of Agents on the student leaderboard  🚀</td></tr></tbody>',ft,X,Mi="<em>We are also planning to release some bonus units, stay tuned!</em>",gt,Y,ht,V,_i="To be able to follow this course you should have a:",pt,K,Pi="<li>Basic knowledge of Python</li> <li>Basic knowledge of LLMs (we have a section in Unit 1 to recap what they are)</li>",dt,Z,ct,ee,ki="You only need 2 things:",wt,te,Ai='<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: to push and load models, agents, and create Spaces. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/tools.jpg" alt="Course tools needed" width="100%"/></li>',vt,ie,$t,v,Ii,yt,ne,ji="You can choose to follow this course <em>in audit mode</em>, or do the activities and <em>get one of the two certificates we’ll issue</em>.",Tt,le,qi="If you audit the course, you can participate in all the challenges and do assignments if you want, and <strong>you don’t need to notify us</strong>.",xt,se,Fi="The certification process is <strong>completely free</strong>:",bt,oe,Ui="<li><em>To get a certification for fundamentals</em>: you need to complete Unit 1 of the course. This is intended for students that want to get up to date with the latest trends in Agents.</li> <li><em>To get a certificate of completion</em>: you need to complete Unit 1, one of the use case assignments we’ll propose during the course, and the final challenge.</li>",Lt,ae,Wi="There’s a deadline for the certification process: all the assignments must be finished before <strong>May 1st 2025</strong>.",Ct,$,Si,Ht,re,Mt,ue,Gi="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>.",_t,me,Ei="Since there’s a deadline, we provide you a recommended pace:",Pt,y,zi,kt,fe,At,ge,Bi="To get the most out of the course, we have some advice:",It,he,Di='<li><a href="https://discord.gg/UrrTSsSyjb">Join study groups in Discord</a>: studying in groups is always easier. To do that, you need to join our discord server and verify your Hugging Face account.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is through hands-on practice and self-assessment..</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',jt,T,Ji,qt,pe,Ft,de,Ri="About the authors:",Ut,ce,Wt,we,Oi="Joffrey is a machine learning engineer at Hugging Face and has built and deployed AI Agents in production. Joffrey will be your main instructor for this course.",St,ve,Ni='<li><a href="https://x.com/Jthmas404" rel="nofollow">Follow Joffrey on X</a></li> <li><a href="https://www.linkedin.com/in/joffrey-thomas/" rel="nofollow">Follow Joffrey on Linkedin</a></li>',Gt,$e,Et,ye,Qi="Ben is a machine learning engineer at Hugging Face and has delivered multiple courses across various platforms. Ben’s goal is to make the course accessible to everyone.",zt,Te,Xi='<li><a href="https://x.com/ben_burtenshaw" rel="nofollow">Follow Ben on X</a></li> <li><a href="https://www.linkedin.com/in/ben-burtenshaw/" rel="nofollow">Follow Ben on Linkedin</a></li>',Bt,xe,Dt,be,Yi='Thomas is a machine learning engineer at Hugging Face and delivered the successful <a href="https://huggingface.co/learn/deep-rl-course/unit0/introduction">Deep RL</a> and <a href="https://huggingface.co/learn/ml-games-course/en/unit0/introduction">ML for games</a> courses. Thomas is a big fan of Agents and is excited to see what the community will build.',Jt,Le,Vi='<li><a href="https://x.com/ThomasSimonini" rel="nofollow">Follow Thomas on X</a></li> <li><a href="https://www.linkedin.com/in/simoninithomas/" rel="nofollow">Follow Thomas on Linkedin</a></li>',Rt,Ce,Ot,He,Ki="We would like to extend our gratitude to the following individuals for their invaluable contributions to this course:",Nt,Me,Zi="<li><strong>Pedro Cuenca</strong> – For his guidance and expertise in reviewing the materials</li> <li><strong>Aymeric Roucher</strong> – For his amazing demo spaces ( decoding and final agent ).</li> <li><strong>Joshua Lochner</strong> – For his amazing demo space on tokenization.</li>",Qt,_e,Xt,Pe,en="Contributions are <strong>welcome</strong> 🤗",Yt,ke,tn='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/agents-course/pulls">open a Pull Request.</a></li> <li>If you <em>want to add a full section or a new unit</em>, the best is to <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe what content you want to add before starting to write it so that we can guide you</strong>.</li>',Vt,Ae,Kt,Ie,nn='Please ask your question in our <a href="https://discord.gg/UrrTSsSyjb">discord server #ai-agents-discussions.</a>',Zt,je,ln="Now that you have all the information, let’s get on board ⛵",ei,x,sn,ti,qe,ii,We,ni;return b=new c({props:{title:"Welcome to the 🤗 AI Agents Course",local:"introduction",headingTag:"h1"}}),q=new c({props:{title:"What to expect from this course?",local:"expect",headingTag:"h2"}}),z=new c({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),O=new c({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),Y=new c({props:{title:"What are the prerequisites?",local:"what-are-the-prerequisites",headingTag:"h2"}}),Z=new c({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),ie=new c({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),re=new c({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),fe=new c({props:{title:"How to get the most out of the course?",local:"advice",headingTag:"h2"}}),pe=new c({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),ce=new c({props:{title:"Joffrey Thomas",local:"joffrey-thomas",headingTag:"h3"}}),$e=new c({props:{title:"Ben Burtenshaw",local:"ben-burtenshaw",headingTag:"h3"}}),xe=new c({props:{title:"Thomas Simonini",local:"thomas-simonini",headingTag:"h3"}}),Ce=new c({props:{title:"Acknowledgments",local:"acknowledgments",headingTag:"h2"}}),_e=new c({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),Ae=new c({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),qe=new pn({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){w=o("meta"),Se=l(),Ue=o("p"),Ge=l(),m(b.$$.fragment),Ee=l(),L=o("figure"),L.innerHTML=si,ze=l(),C=o("p"),C.innerHTML=oi,Be=l(),H=o("p"),H.innerHTML=ai,De=l(),M=o("p"),M.textContent=ri,Je=l(),_=o("ul"),_.innerHTML=ui,Re=l(),P=o("p"),P.textContent=mi,Oe=l(),k=o("p"),k.innerHTML=fi,Ne=l(),A=o("p"),A.innerHTML=gi,Qe=l(),I=o("p"),I.innerHTML=hi,Xe=l(),j=o("img"),Ye=l(),m(q.$$.fragment),Ve=l(),F=o("p"),F.textContent=di,Ke=l(),U=o("ul"),U.innerHTML=ci,Ze=l(),W=o("p"),W.textContent=wi,et=l(),S=o("p"),S.innerHTML=vi,tt=l(),G=o("p"),G.innerHTML=$i,it=l(),E=o("p"),E.innerHTML=yi,nt=l(),m(z.$$.fragment),lt=l(),B=o("p"),B.textContent=Ti,st=l(),D=o("ul"),D.innerHTML=xi,ot=l(),J=o("p"),J.innerHTML=bi,at=l(),R=o("p"),R.innerHTML=Li,rt=l(),m(O.$$.fragment),ut=l(),N=o("p"),N.innerHTML=Ci,mt=l(),Q=o("table"),Q.innerHTML=Hi,ft=l(),X=o("p"),X.innerHTML=Mi,gt=l(),m(Y.$$.fragment),ht=l(),V=o("p"),V.textContent=_i,pt=l(),K=o("ul"),K.innerHTML=Pi,dt=l(),m(Z.$$.fragment),ct=l(),ee=o("p"),ee.textContent=ki,wt=l(),te=o("ul"),te.innerHTML=Ai,vt=l(),m(ie.$$.fragment),$t=l(),v=o("img"),yt=l(),ne=o("p"),ne.innerHTML=ji,Tt=l(),le=o("p"),le.innerHTML=qi,xt=l(),se=o("p"),se.innerHTML=Fi,bt=l(),oe=o("ul"),oe.innerHTML=Ui,Lt=l(),ae=o("p"),ae.innerHTML=Wi,Ct=l(),$=o("img"),Ht=l(),m(re.$$.fragment),Mt=l(),ue=o("p"),ue.innerHTML=Gi,_t=l(),me=o("p"),me.textContent=Ei,Pt=l(),y=o("img"),kt=l(),m(fe.$$.fragment),At=l(),ge=o("p"),ge.textContent=Bi,It=l(),he=o("ol"),he.innerHTML=Di,jt=l(),T=o("img"),qt=l(),m(pe.$$.fragment),Ft=l(),de=o("p"),de.textContent=Ri,Ut=l(),m(ce.$$.fragment),Wt=l(),we=o("p"),we.textContent=Oi,St=l(),ve=o("ul"),ve.innerHTML=Ni,Gt=l(),m($e.$$.fragment),Et=l(),ye=o("p"),ye.textContent=Qi,zt=l(),Te=o("ul"),Te.innerHTML=Xi,Bt=l(),m(xe.$$.fragment),Dt=l(),be=o("p"),be.innerHTML=Yi,Jt=l(),Le=o("ul"),Le.innerHTML=Vi,Rt=l(),m(Ce.$$.fragment),Ot=l(),He=o("p"),He.textContent=Ki,Nt=l(),Me=o("ul"),Me.innerHTML=Zi,Qt=l(),m(_e.$$.fragment),Xt=l(),Pe=o("p"),Pe.innerHTML=en,Yt=l(),ke=o("ul"),ke.innerHTML=tn,Vt=l(),m(Ae.$$.fragment),Kt=l(),Ie=o("p"),Ie.innerHTML=nn,Zt=l(),je=o("p"),je.textContent=ln,ei=l(),x=o("img"),ti=l(),m(qe.$$.fragment),ii=l(),We=o("p"),this.h()},l(e){const t=gn("svelte-u9bgzb",document.head);w=a(t,"META",{name:!0,content:!0}),t.forEach(i),Se=s(e),Ue=a(e,"P",{}),on(Ue).forEach(i),Ge=s(e),f(b.$$.fragment,e),Ee=s(e),L=a(e,"FIGURE",{"data-svelte-h":!0}),r(L)!=="svelte-1e9iu5f"&&(L.innerHTML=si),ze=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17pu5cl"&&(C.innerHTML=oi),Be=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-dvnpj7"&&(H.innerHTML=ai),De=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1csi7fx"&&(M.textContent=ri),Je=s(e),_=a(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-ixjw75"&&(_.innerHTML=ui),Re=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-4b3xjd"&&(P.textContent=mi),Oe=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-16628wc"&&(k.innerHTML=fi),Ne=s(e),A=a(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-w9aved"&&(A.innerHTML=gi),Qe=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-131kcxi"&&(I.innerHTML=hi),Xe=s(e),j=a(e,"IMG",{src:!0,alt:!0}),Ye=s(e),f(q.$$.fragment,e),Ve=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-f2qxb3"&&(F.textContent=di),Ke=s(e),U=a(e,"UL",{"data-svelte-h":!0}),r(U)!=="svelte-dt96yw"&&(U.innerHTML=ci),Ze=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-t67g99"&&(W.textContent=wi),et=s(e),S=a(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-rxvjyt"&&(S.innerHTML=vi),tt=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-5ioa44"&&(G.innerHTML=$i),it=s(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-z7umi9"&&(E.innerHTML=yi),nt=s(e),f(z.$$.fragment,e),lt=s(e),B=a(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-1ee6w8b"&&(B.textContent=Ti),st=s(e),D=a(e,"UL",{"data-svelte-h":!0}),r(D)!=="svelte-1r4t4vj"&&(D.innerHTML=xi),ot=s(e),J=a(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-1bts4d3"&&(J.innerHTML=bi),at=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-16fokxm"&&(R.innerHTML=Li),rt=s(e),f(O.$$.fragment,e),ut=s(e),N=a(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-qhjxsa"&&(N.innerHTML=Ci),mt=s(e),Q=a(e,"TABLE",{"data-svelte-h":!0}),r(Q)!=="svelte-9zzark"&&(Q.innerHTML=Hi),ft=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-1aqi5y9"&&(X.innerHTML=Mi),gt=s(e),f(Y.$$.fragment,e),ht=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-kqo70s"&&(V.textContent=_i),pt=s(e),K=a(e,"UL",{"data-svelte-h":!0}),r(K)!=="svelte-1o8em9l"&&(K.innerHTML=Pi),dt=s(e),f(Z.$$.fragment,e),ct=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-17wttjy"&&(ee.textContent=ki),wt=s(e),te=a(e,"UL",{"data-svelte-h":!0}),r(te)!=="svelte-l2nc5g"&&(te.innerHTML=Ai),vt=s(e),f(ie.$$.fragment,e),$t=s(e),v=a(e,"IMG",{src:!0,alt:!0,width:!0}),yt=s(e),ne=a(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-knl2ed"&&(ne.innerHTML=ji),Tt=s(e),le=a(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1kpr9m4"&&(le.innerHTML=qi),xt=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-1ybbpoz"&&(se.innerHTML=Fi),bt=s(e),oe=a(e,"UL",{"data-svelte-h":!0}),r(oe)!=="svelte-1mkaw8h"&&(oe.innerHTML=Ui),Lt=s(e),ae=a(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-1roe7pg"&&(ae.innerHTML=Wi),Ct=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ht=s(e),f(re.$$.fragment,e),Mt=s(e),ue=a(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-16x0fhq"&&(ue.innerHTML=Gi),_t=s(e),me=a(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-1emjga4"&&(me.textContent=Ei),Pt=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),kt=s(e),f(fe.$$.fragment,e),At=s(e),ge=a(e,"P",{"data-svelte-h":!0}),r(ge)!=="svelte-822ilm"&&(ge.textContent=Bi),It=s(e),he=a(e,"OL",{"data-svelte-h":!0}),r(he)!=="svelte-1h04lcm"&&(he.innerHTML=Di),jt=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),qt=s(e),f(pe.$$.fragment,e),Ft=s(e),de=a(e,"P",{"data-svelte-h":!0}),r(de)!=="svelte-1qyo5w8"&&(de.textContent=Ri),Ut=s(e),f(ce.$$.fragment,e),Wt=s(e),we=a(e,"P",{"data-svelte-h":!0}),r(we)!=="svelte-jk5ik2"&&(we.textContent=Oi),St=s(e),ve=a(e,"UL",{"data-svelte-h":!0}),r(ve)!=="svelte-1u6zw05"&&(ve.innerHTML=Ni),Gt=s(e),f($e.$$.fragment,e),Et=s(e),ye=a(e,"P",{"data-svelte-h":!0}),r(ye)!=="svelte-yjqhaj"&&(ye.textContent=Qi),zt=s(e),Te=a(e,"UL",{"data-svelte-h":!0}),r(Te)!=="svelte-fachn0"&&(Te.innerHTML=Xi),Bt=s(e),f(xe.$$.fragment,e),Dt=s(e),be=a(e,"P",{"data-svelte-h":!0}),r(be)!=="svelte-10mjr36"&&(be.innerHTML=Yi),Jt=s(e),Le=a(e,"UL",{"data-svelte-h":!0}),r(Le)!=="svelte-fw4318"&&(Le.innerHTML=Vi),Rt=s(e),f(Ce.$$.fragment,e),Ot=s(e),He=a(e,"P",{"data-svelte-h":!0}),r(He)!=="svelte-1g13y94"&&(He.textContent=Ki),Nt=s(e),Me=a(e,"UL",{"data-svelte-h":!0}),r(Me)!=="svelte-apo2af"&&(Me.innerHTML=Zi),Qt=s(e),f(_e.$$.fragment,e),Xt=s(e),Pe=a(e,"P",{"data-svelte-h":!0}),r(Pe)!=="svelte-nxego7"&&(Pe.innerHTML=en),Yt=s(e),ke=a(e,"UL",{"data-svelte-h":!0}),r(ke)!=="svelte-1lujafl"&&(ke.innerHTML=tn),Vt=s(e),f(Ae.$$.fragment,e),Kt=s(e),Ie=a(e,"P",{"data-svelte-h":!0}),r(Ie)!=="svelte-1qqh474"&&(Ie.innerHTML=nn),Zt=s(e),je=a(e,"P",{"data-svelte-h":!0}),r(je)!=="svelte-gbc6aj"&&(je.textContent=ln),ei=s(e),x=a(e,"IMG",{src:!0,alt:!0,width:!0}),ti=s(e),f(qe.$$.fragment,e),ii=s(e),We=a(e,"P",{}),on(We).forEach(i),this.h()},h(){u(w,"name","hf:doc:metadata"),u(w,"content",cn),Fe(j.src,pi="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/communication/live1.jpg")||u(j,"src",pi),u(j,"alt","First live thumbnail"),Fe(v.src,Ii="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/three-paths.jpg")||u(v,"src",Ii),u(v,"alt","Two paths"),u(v,"width","100%"),Fe($.src,Si="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/deadline.jpg")||u($,"src",Si),u($,"alt","Deadline"),u($,"width","100%"),Fe(y.src,zi="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/recommended-pace.jpg")||u(y,"src",zi),u(y,"alt","Recommended Pace"),u(y,"width","100%"),Fe(T.src,Ji="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/advice.jpg")||u(T,"src",Ji),u(T,"alt","Course advice"),u(T,"width","100%"),Fe(x.src,sn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/time-to-onboard.jpg")||u(x,"src",sn),u(x,"alt","Time to Onboard"),u(x,"width","100%")},m(e,t){hn(document.head,w),n(e,Se,t),n(e,Ue,t),n(e,Ge,t),g(b,e,t),n(e,Ee,t),n(e,L,t),n(e,ze,t),n(e,C,t),n(e,Be,t),n(e,H,t),n(e,De,t),n(e,M,t),n(e,Je,t),n(e,_,t),n(e,Re,t),n(e,P,t),n(e,Oe,t),n(e,k,t),n(e,Ne,t),n(e,A,t),n(e,Qe,t),n(e,I,t),n(e,Xe,t),n(e,j,t),n(e,Ye,t),g(q,e,t),n(e,Ve,t),n(e,F,t),n(e,Ke,t),n(e,U,t),n(e,Ze,t),n(e,W,t),n(e,et,t),n(e,S,t),n(e,tt,t),n(e,G,t),n(e,it,t),n(e,E,t),n(e,nt,t),g(z,e,t),n(e,lt,t),n(e,B,t),n(e,st,t),n(e,D,t),n(e,ot,t),n(e,J,t),n(e,at,t),n(e,R,t),n(e,rt,t),g(O,e,t),n(e,ut,t),n(e,N,t),n(e,mt,t),n(e,Q,t),n(e,ft,t),n(e,X,t),n(e,gt,t),g(Y,e,t),n(e,ht,t),n(e,V,t),n(e,pt,t),n(e,K,t),n(e,dt,t),g(Z,e,t),n(e,ct,t),n(e,ee,t),n(e,wt,t),n(e,te,t),n(e,vt,t),g(ie,e,t),n(e,$t,t),n(e,v,t),n(e,yt,t),n(e,ne,t),n(e,Tt,t),n(e,le,t),n(e,xt,t),n(e,se,t),n(e,bt,t),n(e,oe,t),n(e,Lt,t),n(e,ae,t),n(e,Ct,t),n(e,$,t),n(e,Ht,t),g(re,e,t),n(e,Mt,t),n(e,ue,t),n(e,_t,t),n(e,me,t),n(e,Pt,t),n(e,y,t),n(e,kt,t),g(fe,e,t),n(e,At,t),n(e,ge,t),n(e,It,t),n(e,he,t),n(e,jt,t),n(e,T,t),n(e,qt,t),g(pe,e,t),n(e,Ft,t),n(e,de,t),n(e,Ut,t),g(ce,e,t),n(e,Wt,t),n(e,we,t),n(e,St,t),n(e,ve,t),n(e,Gt,t),g($e,e,t),n(e,Et,t),n(e,ye,t),n(e,zt,t),n(e,Te,t),n(e,Bt,t),g(xe,e,t),n(e,Dt,t),n(e,be,t),n(e,Jt,t),n(e,Le,t),n(e,Rt,t),g(Ce,e,t),n(e,Ot,t),n(e,He,t),n(e,Nt,t),n(e,Me,t),n(e,Qt,t),g(_e,e,t),n(e,Xt,t),n(e,Pe,t),n(e,Yt,t),n(e,ke,t),n(e,Vt,t),g(Ae,e,t),n(e,Kt,t),n(e,Ie,t),n(e,Zt,t),n(e,je,t),n(e,ei,t),n(e,x,t),n(e,ti,t),g(qe,e,t),n(e,ii,t),n(e,We,t),ni=!0},p:rn,i(e){ni||(h(b.$$.fragment,e),h(q.$$.fragment,e),h(z.$$.fragment,e),h(O.$$.fragment,e),h(Y.$$.fragment,e),h(Z.$$.fragment,e),h(ie.$$.fragment,e),h(re.$$.fragment,e),h(fe.$$.fragment,e),h(pe.$$.fragment,e),h(ce.$$.fragment,e),h($e.$$.fragment,e),h(xe.$$.fragment,e),h(Ce.$$.fragment,e),h(_e.$$.fragment,e),h(Ae.$$.fragment,e),h(qe.$$.fragment,e),ni=!0)},o(e){p(b.$$.fragment,e),p(q.$$.fragment,e),p(z.$$.fragment,e),p(O.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(ie.$$.fragment,e),p(re.$$.fragment,e),p(fe.$$.fragment,e),p(pe.$$.fragment,e),p(ce.$$.fragment,e),p($e.$$.fragment,e),p(xe.$$.fragment,e),p(Ce.$$.fragment,e),p(_e.$$.fragment,e),p(Ae.$$.fragment,e),p(qe.$$.fragment,e),ni=!1},d(e){e&&(i(Se),i(Ue),i(Ge),i(Ee),i(L),i(ze),i(C),i(Be),i(H),i(De),i(M),i(Je),i(_),i(Re),i(P),i(Oe),i(k),i(Ne),i(A),i(Qe),i(I),i(Xe),i(j),i(Ye),i(Ve),i(F),i(Ke),i(U),i(Ze),i(W),i(et),i(S),i(tt),i(G),i(it),i(E),i(nt),i(lt),i(B),i(st),i(D),i(ot),i(J),i(at),i(R),i(rt),i(ut),i(N),i(mt),i(Q),i(ft),i(X),i(gt),i(ht),i(V),i(pt),i(K),i(dt),i(ct),i(ee),i(wt),i(te),i(vt),i($t),i(v),i(yt),i(ne),i(Tt),i(le),i(xt),i(se),i(bt),i(oe),i(Lt),i(ae),i(Ct),i($),i(Ht),i(Mt),i(ue),i(_t),i(me),i(Pt),i(y),i(kt),i(At),i(ge),i(It),i(he),i(jt),i(T),i(qt),i(Ft),i(de),i(Ut),i(Wt),i(we),i(St),i(ve),i(Gt),i(Et),i(ye),i(zt),i(Te),i(Bt),i(Dt),i(be),i(Jt),i(Le),i(Rt),i(Ot),i(He),i(Nt),i(Me),i(Qt),i(Xt),i(Pe),i(Yt),i(ke),i(Vt),i(Kt),i(Ie),i(Zt),i(je),i(ei),i(x),i(ti),i(ii),i(We)),i(w),d(b,e),d(q,e),d(z,e),d(O,e),d(Y,e),d(Z,e),d(ie,e),d(re,e),d(fe,e),d(pe,e),d(ce,e),d($e,e),d(xe,e),d(Ce,e),d(_e,e),d(Ae,e),d(qe,e)}}}const cn='{"title":"Welcome to the 🤗 AI Agents Course","local":"introduction","sections":[{"title":"What to expect from this course?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"What are the prerequisites?","local":"what-are-the-prerequisites","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"How to get the most out of the course?","local":"advice","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[{"title":"Joffrey Thomas","local":"joffrey-thomas","sections":[],"depth":3},{"title":"Ben Burtenshaw","local":"ben-burtenshaw","sections":[],"depth":3},{"title":"Thomas Simonini","local":"thomas-simonini","sections":[],"depth":3}],"depth":2},{"title":"Acknowledgments","local":"acknowledgments","sections":[],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function wn(li){return un(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xn extends mn{constructor(w){super(),fn(this,w,wn,dn,an,{})}}export{xn as component};
